### Method

# Ide BuildSystem get_build_flags_for_dir_finish

#### Declaration

    GHashTable*
    ide_build_system_get_build_flags_for_dir_finish (
      IdeBuildSystem* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GHashTable`
| A `GHashTable` of `GFile` to `GStrv`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.